Package: org.gradle.tooling.model.eclipse

## [Java] Interface EclipseProjectNature

- An Eclipse project nature definition.

  Since:
    2.9

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getId()` Returns the unique identifier of the project nature.

- - ### Method Detail

    - #### public String getId()

      Returns the unique identifier of the project nature.

      Returns:
        The project nature id.
      See Also:
        Definition of project natures in the Eclipse documentation